%define anolis_release 1

%global oname rtslib-fb

Name:             python-rtslib
License:          ASL 2.0
Summary:          API for Linux kernel LIO SCSI target
Version:          2.1.75
Release:          %{anolis_release}%{?dist}
URL:              https://github.com/open-iscsi/%{oname}
Source:           %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz
Patch0:           0001-disable-xen_pvscsi.patch
BuildArch:        noarch
BuildRequires:    systemd


%global _description\
API for generic Linux SCSI kernel target. Includes the 'target'\
service and targetctl tool for restoring configuration.

%description %_description


%package -n python3-rtslib
Summary:        API for Linux kernel LIO SCSI target

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-kmod
BuildRequires:  python3-six
BuildRequires:  python3-pyudev

Requires:       python3-kmod
Requires:       python3-six
Requires:       python3-pyudev

%description -n python3-rtslib
API for generic Linux SCSI kernel target.

%package -n python3-rtslib-doc
Summary:        Doc files for python3-rtslib
Requires:       python3-rtslib = %{version}-%{release}

%description -n python3-rtslib-doc
Doc files for python3-rtslib

%package -n target-restore
Summary:          Systemd service for targetcli/rtslib
Requires:         python3-rtslib = %{version}-%{release}
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description -n target-restore
Systemd service to restore the LIO kernel target settings
on system restart.


%prep
%autosetup -p1 -n %{oname}-%{version}


%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_mandir}/man5/
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/target/backup
mkdir -p %{buildroot}%{_localstatedir}/target/pr
mkdir -p %{buildroot}%{_localstatedir}/target/alua
install -m 644 systemd/target.service %{buildroot}%{_unitdir}/target.service
install -m 644 doc/targetctl.8 %{buildroot}%{_mandir}/man8/
install -m 644 doc/saveconfig.json.5 %{buildroot}%{_mandir}/man5/

%post -n target-restore
%systemd_post target.service

%preun -n target-restore
%systemd_preun target.service

%postun -n target-restore
%systemd_postun_with_restart target.service


%files -n python3-rtslib
%license COPYING
%{python3_sitelib}/rtslib*

%files -n target-restore
%{_bindir}/targetctl
%{_unitdir}/target.service
%dir %{_sysconfdir}/target
%dir %{_sysconfdir}/target/backup
%dir %{_localstatedir}/target
%dir %{_localstatedir}/target/pr
%dir %{_localstatedir}/target/alua
%{_mandir}/man8/targetctl.8*
%{_mandir}/man5/saveconfig.json.5*

%files -n python3-rtslib-doc
%doc README.md doc/getting_started.md

%changelog
* Fri Apr 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.7501
- init from upstream
